nopCommerce 4.20 BETA released. Please share your impressions

1 year ago
martinzwierzyna wrote:
Great Nop Team.

Anyway, does this version support development in Mac?

Thanks,
Mick

A tried it, build is completed successfully, but when i want to proceed installation, installer says, that account is not granted with Modify permission on all folders, although everyone group has Read/Write access to whole project.


@martinzwierzyna Please have a look at this PR for a fix to get it running on Mac:

https://github.com/nopSolutions/nopCommerce/pull/3793
1 year ago
Hi nopCommerce team,
When will release 4.20 be available to use, I am planning to launch my ecommerce using 4.20 version,
will there be payment gateway plugin available (valid for india payment like CCavenu..)
1 year ago
I've downloaded the beta, but cannot build the solution (VS2017 - latest) due to problems with the Nuget packages.
"NuGet package restore failed. Please see Error List window for detailed warnings and errors."
I get 238 Errors, mostly regarding compatibility - such as below.

Severity  Code  Description  Project  File  Line  Suppression State
Warning  NETSDK1071  A PackageReference to 'Microsoft.AspNetCore.App' specified a Version of `2.2.4`. Specifying the version of this package is not recommended. For more information, see https://aka.ms/sdkimplicitrefs  Nop.Core  c:\program files\dotnet\sdk\2.2.104\Sdks\Microsoft.NET.Sdk\targets\Microsoft.NET.Sdk.DefaultItems.targets  153  
Error  NU1202  Package Microsoft.AspNetCore.Connections.Abstractions 2.2.0 is not compatible with netcoreapp2.2 (.NETCoreApp,Version=v2.2). Package Microsoft.AspNetCore.Connections.Abstractions 2.2.0 does not support any target frameworks.  Nop.Core  D:\Sites\NopCommerce4.2BETA\Libraries\Nop.Core\Nop.Core.csproj  1  
Error  NU1202  Package Microsoft.AspNetCore.Connections.Abstractions 2.2.0 is not compatible with netcoreapp2.2 (.NETCoreApp,Version=v2.2). Package Microsoft.AspNetCore.Connections.Abstractions 2.2.0 does not support any target frameworks.  Nop.Data  D:\Sites\NopCommerce4.2BETA\Libraries\Nop.Data\Nop.Data.csproj  1  
Error  NU1202  Package Microsoft.AspNetCore.Connections.Abstractions 2.2.0 is not compatible with netcoreapp2.2 (.NETCoreApp,Version=v2.2). Package Microsoft.AspNetCore.Connections.Abstractions 2.2.0 does not support any target frameworks.  Nop.Services  D:\Sites\NopCommerce4.2BETA\Libraries\Nop.Services\Nop.Services.csproj  1  
Error  NU1202  Package Microsoft.AspNetCore.Connections.Abstractions 2.2.0 is not compatible with netcoreapp2.2 (.NETCoreApp,Version=v2.2). Package Microsoft.AspNetCore.Connections.Abstractions 2.2.0 does not support any target frameworks.  Nop.Tests  D:\Sites\NopCommerce4.2BETA\Tests\Nop.Tests\Nop.Tests.csproj  1  


Any ideas?
1 year ago
MrNams wrote:
When will release 4.20 be available to use

Most probably next week
1 year ago
Bulk Edit Items removed?
1 year ago
dootchie wrote:
Bulk Edit Items removed?


Yes, It is.
DataTable is not support inline edit, so as now bulk edit section is removed.
1 year ago
rajupaladiya wrote:
Bulk Edit Items removed?

Yes, It is.
DataTable is not support inline edit, so as now bulk edit section is removed.


Might want to put that in the release notes.
1 year ago
One more issue, I cant say its issue, but its really very useful and needed is
"Add subscribe for WhatsApp" similar to follow on youtube/facebook.
1 year ago
dootchie wrote:


Might want to put that in the release notes.


Yes, I agree. It’s missing in release note.
1 year ago
filus wrote:
THANKS!!!!!
this version can run on linux and mysql.. so who can write installation guide for linux and mysql?

MySql is not supporting on 4.20 yet.

so which DB i need to use when i run it on LINUX server hosting?


My understanding is 4.2 will still require MS SQL.